curl --location --request GET 'https://edb-test.xeol.io/v1/entities?type=package&size=1'
{
"items": [
{
"name": "Rim.Client",
"type": "package",
"lts": false
}
],
"page": 1,
"pages": 38903,
"size": 1
}
{
"message": "Invalid entity type. Valid types are: [service device software package os]"
}
Entities
Get a list of all entities.
GET
/
v1
/
entities
curl --location --request GET 'https://edb-test.xeol.io/v1/entities?type=package&size=1'
{
"items": [
{
"name": "Rim.Client",
"type": "package",
"lts": false
}
],
"page": 1,
"pages": 38903,
"size": 1
}
{
"message": "Invalid entity type. Valid types are: [service device software package os]"
}
Body
string
The type of entity to return. Can be one of
software, package, os, device, service. If empty,
entities of all types will be returned.string
default:"50"
The number of entities to return per page.
string
default:"1"
The page number to return.
Response
object[]
integer
The current page number
integer
The total number of pages
integer
The number of items per page
curl --location --request GET 'https://edb-test.xeol.io/v1/entities?type=package&size=1'
{
"items": [
{
"name": "Rim.Client",
"type": "package",
"lts": false
}
],
"page": 1,
"pages": 38903,
"size": 1
}
{
"message": "Invalid entity type. Valid types are: [service device software package os]"
}